aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZhu Qun-Ying <zhu.qunying@gmail.com>2024-09-27 21:46:39 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-28 06:19:46 +0700
commit18dc6e62434504d69dce7867d9a1d072b9924584 (patch)
treecb15fc17d1bfc9edcb2bdbbe8f63797ec240170e
parentf5fd785dcfa2ddd537b11e15ef6bb1a7eea7a1a6 (diff)
system/7zip: Added (7Zip Archiver).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/7zip/7zip.SlackBuild93
-rw-r--r--system/7zip/7zip.info10
-rw-r--r--system/7zip/README3
-rw-r--r--system/7zip/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/system/7zip/7zip.SlackBuild b/system/7zip/7zip.SlackBuild
new file mode 100644
index 0000000000000..3e0ce82ca08c1
--- /dev/null
+++ b/system/7zip/7zip.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Slackware build script for <7zip>
+# Copyright 2022-2024 Zhu, Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=7zip
+VERSION=${VERSION:-24.08}
+SRC_FILE="7z2408-src.tar.xz"
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+case "$ARCH" in
+ "i586") makefile_name="cmpl_gcc_x86.mak" ;;
+ "x86_64") makefile_name="cmpl_gcc_x64.mak" ;;
+ *) makefile_name="cmpl_gcc_${ARCH}.mak" ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION/build
+tar xvf $CWD/$SRC_FILE -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chmod -R a=r,u+w,a+X .
+SRC_DIR=$TMP/$PRGNAM-$VERSION
+export BUILD_DIR="${SRC_DIR}/build"
+sed -i 's|MY_ASM = asmc|MY_ASM = uasm|g' CPP/7zip/7zip_gcc.mak
+sed -i 's|O=b/g_$(PLATFORM)|O=$(BUILD_DIR)|g' CPP/7zip/var_gcc_*.mak
+
+BUNDLE_DIR=${SRC_DIR}/CPP/7zip/Bundles
+cd ${BUNDLE_DIR}/Alone2
+make -f ${SRC_DIR}/CPP/7zip/${makefile_name}
+
+cd ${BUNDLE_DIR}/SFXCon
+make -f makefile.gcc
+
+mkdir -p $PKG/usr/bin
+install -Dm755 ./_o/7zCon $PKG/usr/bin
+install -Dm755 --strip $BUILD_DIR/7zz $PKG/usr/bin
+(cd $PKG/usr/bin; ln -s 7zz 7z)
+
+cd $SRC_DIR
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp DOC/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/7zip/7zip.info b/system/7zip/7zip.info
new file mode 100644
index 0000000000000..2813f25f5b474
--- /dev/null
+++ b/system/7zip/7zip.info
@@ -0,0 +1,10 @@
+PRGNAM="7zip"
+VERSION="24.08"
+HOMEPAGE="https://www.7-zip.org"
+DOWNLOAD="https://sourceforge.net/projects/sevenzip/files/7-Zip/24.08/7z2408-src.tar.xz"
+MD5SUM="f18dd0290baa68ca89c7f0d2d272e526"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="UASM"
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/system/7zip/README b/system/7zip/README
new file mode 100644
index 0000000000000..fbff28deedf25
--- /dev/null
+++ b/system/7zip/README
@@ -0,0 +1,3 @@
+7zip (A compression utility)
+
+7-Zipis a file archiver with a high compression ratio.
diff --git a/system/7zip/slack-desc b/system/7zip/slack-desc
new file mode 100644
index 0000000000000..e97251ebbcc6f
--- /dev/null
+++ b/system/7zip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+7zip: 7zip (A compression utility)
+7zip:
+7zip: 7-Zipis a file archiver with a high compression ratio.
+7zip:
+7zip: https://www.7-zip.org/
+7zip:
+7zip:
+7zip:
+7zip:
+7zip:
+7zip: